
Redmine - Defect #8389

Nil values cause errors in issues update/delete

2011-05-18 09:47 - Pierluigi Soana

Status: Closed Start date: 2011-05-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.1.3

Description

We have some problem handling issues (tasks) in this env:

Redmine 1.1.3 with relate ruby and gem

Db = MySql

pluglin =

Our application is addressed as "http://10.17... /redmine"

Handling elements of a hierarchy (e.g.: delete a subtask, change due date in a sub task, ,...) get an error indication.

Generally, it seems that there are problems handling Nil values in some methods.

Trace follows:

Processing IssuesController#destroy (for 10.17.XX.XX at 2011-05-18 09:24:25) [POST]

Parameters: {"action"=>"destroy", "authenticity_token"=>"xs4SABVn+tueEqdpLnwq6C/HTz+jJvt3hub3IptEGdM=", "id"=>"76",

"controller"=>"issues"}

ArgumentError (comparison of Date with nil failed):

app/models/issue.rb:763:in `recalculate_attributes_for'

app/models/issue.rb:727:in `update_parent_attributes'

app/controllers/issues_controller.rb:241:in `destroy'

app/controllers/issues_controller.rb:239:in `each'

app/controllers/issues_controller.rb:239:in `destroy'

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

===============

Processing IssuesController#create (for 10.17.39.157 at 2011-05-18 09:26:37) [POST]

2024-04-03 1/7



Parameters: {"commit"=>"Create", "project_id"=>"piertest", "action"=>"create",

"authenticity_token"=>"/ME4Q+sDBEaWSsYwqY0vPaslLtWg9VGevmy1ra84xlA=", "issue"=>{"start_date"=>"2011-05-18",

"estimated_hours"=>"", "priority_id"=>"4", "parent_issue_id"=>"135", "done_ratio"=>"0", "assigned_to_id"=>"", "subject"=>"due.uno",

"tracker_id"=>"5", "due_date"=>"", "status_id"=>"1", "description"=>""}, "controller"=>"issues",

"attachments"=>{"1"=>{"description"=>""}}}

Sending email notification to:

NoMethodError (undefined method `<=>' for nil:NilClass):

app/models/issue.rb:763:in `recalculate_attributes_for'

app/models/issue.rb:727:in `update_parent_attributes'

app/controllers/issues_controller.rb:135:in `create'

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

==================

Processing IssuesController#update (for 10.17.39.157 at 2011-05-18 09:20:52) [PUT]

Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"Submit", "notes"=>"", "action"=>"update",

"_method"=>"put", "authenticity_token"=>"/ME4Q+sDBEaWSsYwqY0vPaslLtWg9VGevmy1ra84xlA=", "id"=>"130",

"issue"=>{"start_date"=>"2011-05-18", "estimated_hours"=>"", "priority_id"=>"4", "parent_issue_id"=>"128", "lock_version"=>"1",

"done_ratio"=>"0", "assigned_to_id"=>"5", "subject"=>"uno.due", "tracker_id"=>"5", "due_date"=>"2011-05-23", "status_id"=>"1",

"description"=>""}, "controller"=>"issues", "attachments"=>{"1"=>{"description"=>""}}}

NoMethodError (undefined method `<=>' for nil:NilClass):

app/models/issue.rb:563:in `save_issue_with_child_records'

app/models/issue.rb:545:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:170:in `update'

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'
/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

=======================

Is there some patch we could install or remove ?

Thank you

History

#1 - 2011-05-18 11:10 - Etienne Massip

ArgumentError (comparison of Date with nil failed):

app/models/issue.rb:763:in `recalculate_attributes_for'

 Line source:tags/1.1.3/app/models/issue.rb#L763 is not #recalculate_attributes_for but #update_versions, your issue.rb is not a raw 1.1.3 one.

#2 - 2011-05-18 11:20 - Pierluigi Soana

Actually we have loaded also this patch: gantt_edit_5_v1-1-1.patch

We loaded it because of our problems, do we have to unload it or load a differente one ?

Thanks

#3 - 2011-05-18 12:12 - Etienne Massip

Could you try without the patch, please ?

#4 - 2011-05-18 12:23 - Pierluigi Soana

I unloaded the patch and the errors changed. Here the trace:

Processing IssuesController#update (for 10.17.XX.XX at 2011-05-18 12:18:33) [PUT]

Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"Submit", "notes"=>"", "action"=>"update",

"_method"=>"put", "authenticity_token"=>"y35sn5ssFZIF8uSHjfbB4+NJeLqrHUndXkgAIdyafts=", "id"=>"147", "issue"=>{"start_date"=>"2011-05-18",

"estimated_hours"=>"9", "priority_id"=>"4", "parent_issue_id"=>"145", "lock_version"=>"1", "done_ratio"=>"0", "assigned_to_id"=>"",

"subject"=>"uno.due", "tracker_id"=>"1", "due_date"=>"2011-05-19", "status_id"=>"1", "description"=>""}, "controller"=>"issues",

"attachments"=>{"1"=>{"description"=>""}}}

NoMethodError (undefined method `<=>' for nil:NilClass):

app/models/issue.rb:553:in `save_issue_with_child_records'

app/models/issue.rb:535:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:170:in `update'

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

Parameters: {"commit"=>"Create", "project_id"=>"piertest", "action"=>"create", "authenticity_token"=>"y35sn5ss

FZIF8uSHjfbB4+NJeLqrHUndXkgAIdyafts=", "issue"=>{"start_date"=>"2011-05-18", "estimated_hours"=>"", "priority_

id"=>"4", "parent_issue_id"=>"145", "done_ratio"=>"0", "assigned_to_id"=>"", "subject"=>"due.uno", "tracker_id

"=>"1", "due_date"=>"2011-05-20", "status_id"=>"1", "description"=>""}, "controller"=>"issues", "attachments"=

>{"1"=>{"description"=>""}}}

Sending email notification to:

 ArgumentError (comparison of Array with Array failed):

app/models/issue.rb:753:in `recalculate_attributes_for'

app/models/issue.rb:717:in `update_parent_attributes'

app/controllers/issues_controller.rb:135:in `create'

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

#5 - 2011-05-27 19:17 - Paul paul

A similar problem here (RM 1.1.3 with Postgres); can't create subtasks.

Processing IssuesController#create (for 192.168.2.39 at 2011-05-27 13:03:28) [POST]

  Parameters: {"commit"=>"Create", "project_id"=>"myproject", "action"=>"create", "authenticity_token"=>"12345

", "issue"=>{"start_date"=>"2011-05-27", "estimated_hours"=>"", "priority_id"=>"4", "parent_issue_id"=>"772", 

"fixed_version_id"=>"", "done_ratio"=>"0", "assigned_to_id"=>"21", "subject"=>"Attempt to add subtask", "categ

ory_id"=>"2", "tracker_id"=>"1", "due_date"=>"", "status_id"=>"2", "description"=>"see this other task"}, "con

troller"=>"issues", "attachments"=>{"1"=>{"description"=>""}}, "watcher_multiple_group"=>"20,19,9,16,12,11,7,2

1,3"}

Sending email notification to:

NoMethodError (undefined method `<=>' for nil:NilClass):

  app/models/issue.rb:753:in `recalculate_attributes_for'

  app/models/issue.rb:717:in `update_parent_attributes'

  app/controllers/issues_controller.rb:135:in `create'

  passenger (3.0.7) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

  passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_applicatio

n'

  passenger (3.0.7) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_applicatio

n'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.7) helper-scripts/passenger-spawn-server:99

Rendering /usr/local/www/redmine/public/500.html (500 Internal Server Error)

#6 - 2011-07-07 15:18 - Dominik Imark

I got a similar problem with an installation over Bitnami:

Redmine: 1.2.0 Stable

Ruby: 1.8.7

Mysql

Processing IssuesController#destroy (for xxx at 2011-07-07 15:13:42) [POST]

  Parameters: {"action"=>"destroy", "authenticity_token"=>"8+4Y/Kg9Tpvvww8T5QdUv5lgEeDr1BRM5AXwhK5k0Do=", "id"

=>"4", "controller"=>"issues"}

ArgumentError (comparison of Date with nil failed):

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/base.rb:2075:in `inject'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:178:in `send'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:178:in `evaluate_method'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:166:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:93:in `run'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:92:in `each'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:92:in `send'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:92:in `run'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:276:in `run_callbacks'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/callbacks.rb:344:in `callback_without_switch'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/callbacks.rb:251:in `create_or_update'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/base.rb:2577:in `save_without_validation'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/validations.rb:1090:in `save_without_dirty'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/dirty.rb:79:in `save_without_transactions'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:229:in `send'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:229:in `with_transaction_returning_status'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/connection_adapters/abstract/database_statements.rb:136:in `transaction'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:182:in `transaction'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:228:in `with_transaction_returning_status'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:196:in `save'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:208:in `rollback_active_record_state!'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:196:in `save'

  app/models/issue.rb:801:in `recalculate_attributes_for'

  app/models/issue.rb:765:in `update_parent_attributes'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup
port/callbacks.rb:178:in `send'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:178:in `evaluate_method'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:166:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:93:in `run'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:92:in `each'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:92:in `send'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:92:in `run'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_sup

port/callbacks.rb:276:in `run_callbacks'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/callbacks.rb:344:in `callback_without_switch'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/callbacks.rb:338:in `destroy_without_transactions'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:229:in `send'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:229:in `with_transaction_returning_status'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/connection_adapters/abstract/database_statements.rb:136:in `transaction'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:182:in `transaction'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:228:in `with_transaction_returning_status'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/transactions.rb:192:in `destroy'

  app/controllers/issues_controller.rb:245:in `destroy'

  app/controllers/issues_controller.rb:243:in `each'

  app/controllers/issues_controller.rb:243:in `destroy'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/base.rb:1333:in `send'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/base.rb:1333:in `perform_action_without_filters'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/filters.rb:617:in `call_filters'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/filters.rb:610:in `perform_action_without_benchmark'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/benchmarking.rb:68:in `perform_action_without_rescue'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/benchmarking.rb:68:in `perform_action_without_rescue'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/rescue.rb:160:in `perform_action_without_flash'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/flash.rb:151:in `perform_action'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/base.rb:532:in `send'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/base.rb:532:in `process_without_filters'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/filters.rb:606:in `process'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/base.rb:391:in `process'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/base.rb:386:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/routing/route_set.rb:438:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/dispatcher.rb:87:in `dispatch'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/dispatcher.rb:121:in `_call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/dispatcher.rb:130:in `build_middleware_stack'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/query_cache.rb:29:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/query_cache.rb:29:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/connection_adapters/abstract/query_cache.rb:34:in `cache'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco
rd/query_cache.rb:9:in `cache'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/query_cache.rb:28:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_reco

rd/connection_adapters/abstract/connection_pool.rb:361:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/string_coercion.rb:25:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/params_parser.rb:15:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/session/cookie_store.rb:99:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/failsafe.rb:26:in `call'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/dispatcher.rb:106:in `call'

  config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/dispatcher.rb:101:in `dispatch_cgi'

  C:/Program Files (x86)/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_contro

ller/dispatcher.rb:27:in `dispatch'

Rendering C:/Program Files (x86)/BitNami Redmine Stack/apps/redmine/public/500.html (500 Internal Server Error

)

#7 - 2019-08-12 03:36 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

I am closing this issue because Redmine 1.1 is too old and no longer supported.

Please open a new issue if you are still experiencing the same problem with the latest versions of Redmine.

#8 - 2020-05-04 15:36 - Michael Kling

If anyone else has to maintain older redmine systems and experienced this bug:

I was able to mitigate that issue by placing this code in front of p.save in app/models/issue.rb:927:in `recalculate_attributes_for' (the line the issue

appears, differs as my client is using 1.1.4):

      if p.start_date == nil

        p.start_date = p.created_on

      end

 Explanation: As the child ticket is deleted, the parent tickets start date is newly calculated by checking for the earliest child tickets start date. If there

are no other child tickets available the start date becomes nil and it fails to save the record. My mitigation strategy is to assign the creation date to the

start date in case it becomes nil.
